RoutesRewrites module

Rewrites routes

URLs the Rewrites module answers, their parameters and the variables each view receives.

View cdna-admin screens of this module.

Admin view

GET /cdna-admin/rewrites/add-rewrite addRewrite

Add a new record. Assigns an empty record to the template.

The admin template receives
VariableTypeDescription
$rewrite Rewrite Single (empty) Rewrite record

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/rewrites/rewrites/{id} editRewrite

Retrieve a single record and display the edit page for the record

Path parameters id matches \d+

The admin template receives
VariableTypeDescription
$rewrite Rewrite Retrieved Rewrite record

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/rewrites/rewrites manageRewrites

Retrieve available records and assign them to the template for editing.

The admin template receives
VariableTypeDescription
$rewrites Collection<Rewrite> Collection of Rewrites

Common variables such as $_url, $_request and $_menu are available too. Global template variables

Only GET routes list their variables.